require "new.printing"
require "html"

table.insert(milena.exit, function ()
	local cfg = {fullscreen = config.fullscreen}
	if not config.fullscreen then
		cfg.x, cfg.y, cfg.w, cfg.h, cfg.maximized = window.get()
		cfg.w = cfg.w-cfg.x
		cfg.h = cfg.h-cfg.y
	else
		cfg = config
	end
	local f = io.open(get_dir(arguments[1])..'/extend/config.ini', 'w')
	f:write((('config = {fullscreen = %s, x = %s, y = %s, w = %s, h = %s, maximized = %s}'):gsub('([^= %{%}]+) = (%%s)', function (a, b)
		return a..' = '..tostring(cfg[a])
	end)))
	f:close()
end)

function cfg_reload()
	config.x, config.y, config.w, config.h, config.maximized = window.get()
	config.w = config.w-config.x
	config.h = config.h-config.y
end

--------------------------
-- --
-------------------------

screen = {}
config = {fullscreen = true, x = 120, y = 120, w = 800, h = 600, maximized = false}

dofile(get_dir(arguments[1])..'/extend/config.ini')

table.insert(milena.menu, {command = 'if config.fullscreen then\
config.fullscreen = false window.fullscreen(false, config.x, config.y, config.w, config.h, config.maximized)\
else\
cfg_reload() config.fullscreen = true window.fullscreen(true)\
end', name = '  / '})

screen.w, screen.h = window.get_screen_dms()

if config.x<0 or config.x>screen.w then
	config.x = 0
end
if config.y<0 or config.y>screen.h then
	config.y = 0
end

window.fullscreen(config.fullscreen, config.x, config.y, config.w, config.h, config.maximized)
-----------------------------
-- --
-----------------------------

table.insert(milena.exit, function ()
	if screen.h~=screen.ch and screen.w~=screen.cw then
		window.set_screen_dms(screen.w, screen.h)
	end
end)
------------------------
-- --
------------------------

--window.set_screen_dms(1024, 768)
screen.cw, screen.ch = window.get_screen_dms()

-----------------
-- --
-----------------

if not fileexists('game.msf') and (not arguments[2] or arguments[2]=='-w') then
	milena.print("")
	n = milena.FILE.open(' ', '|*.msf;*.mcf;*.pua;*.pcf')
	if n~='' then
		milena.open_game(n)
	else
		window.close()
	end
elseif fileexists('game.msf') and (not arguments[2] or arguments[2]=='-w') then
	milena.FILE.set_dir(milena.FILE.get_dir())
	open_msf('game.msf')
	milena.FILE.set_dir(milena.FILE.get_dir())
else
	milena.open_game(arguments[2])
end